Bug 866209 - GtkCellRendererCombo doesn't display the drop down arrow by default
GtkCellRendererCombo doesn't display the drop down arrow by default
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: Reopened
: 871087 873693 874456 876128 881406 886175 (view as bug list)
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-10-14 12:52 EDT by Shawn Starr
Modified: 2013-04-10 10:32 EDT (History)
15 users (show)

See Also:
Fixed In Version: anaconda-18.31-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-10 10:32:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Shawn Starr 2012-10-14 12:52:43 EDT
Description of problem:
I tried the Alpha drop of Fedora 18, which had issues, then tried TC4. When I got to partitioning I overlooked the ability to delete vs preserve the existing partitions. It was not obvious to me you could select to change this (no arrow or indication)

Version-Release number of selected component (if applicable):
TC4 Fedora 18

How reproducible: 100%

Steps to Reproduce:
1. Have previous install of Fedora
2. Install new version, note the option to preserve/delete
  
Actual results:
More difficult for user to figure out if the option is changeable or not.

Expected results:
Should be easy to know if you can delete a partition
Comment 1 Elad Alfassa 2012-10-14 12:59:13 EDT
This is about the "Reclaim Space" dialog, of course.

Basically, a downward pointing arrow next to the items in the "action" column would make this much more obvious for users.

I'd be happy if you could look at it for F19 if you don't have enough time to fix it for F18.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Chris Lumens 2012-10-15 11:32:57 EDT
After some poking around in glade and through the docs, I don't see that there's any way of making a GtkCellRendererCombo look like this.  I'd certainly do it if I could find it.  GTK guys - any ideas?  Maybe I'm just missing something obvious.
Comment 3 Elad Alfassa 2012-10-15 12:15:57 EDT
gtk2? isn't the new Anaconda GTK3?



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Matthias Clasen 2012-10-18 21:30:47 EDT
gtkcellrenderercombo just doesn't work like this.
Until you start editing, it is just a text cell.
A different cell renderer could certainly be written that has this behaviour, but gtk doesn't have this, currently.
Comment 5 Elad Alfassa 2012-10-30 14:04:03 EDT
So let's move this back to anaconda.

Maybe someone will have time to actually work on fixing it for Fedora 19.
Comment 6 Chris Lumens 2012-10-30 14:50:12 EDT
*** Bug 871087 has been marked as a duplicate of this bug. ***
Comment 7 Chris Lumens 2012-10-30 17:16:51 EDT
While we're collecting requirements for what would be useful here:  I'd really like to have a way to specify which items in the drop-down are visible, on a per-row basis.  Some sort of filter func or something.  The use case here is that not all devices support shrinking, and I'd like to be able to hide that option for those rows.  I don't see any obvious way to accomplish that with what we've already got.
Comment 8 Chris Lumens 2012-11-06 09:51:11 EST
*** Bug 873693 has been marked as a duplicate of this bug. ***
Comment 9 Gianluca Cecchi 2012-11-06 10:50:26 EST
Possibly at least to add some explanation in the text part that takes place above the reclaim disk window.
This could be done in time for F18 to get a better install experience

Something like:

"
NOTE: click on "Action" column of a row to show a drop down list of the possible actions on that partition/vg
"

Gianluca
Comment 10 Chris Lumens 2012-11-08 11:00:25 EST
*** Bug 874456 has been marked as a duplicate of this bug. ***
Comment 11 Chris Lumens 2012-11-13 10:56:55 EST
*** Bug 876128 has been marked as a duplicate of this bug. ***
Comment 12 Chris Lumens 2012-11-20 16:31:59 EST
I've taken care of both the lack of arrow on the drop down and the shrink vs. resize thing with some modifications to the resize dialog such that we are no longer using GtkCellRendererCombo.
Comment 13 Chris Lumens 2012-11-28 15:50:50 EST
*** Bug 881406 has been marked as a duplicate of this bug. ***
Comment 14 Chris Lumens 2012-12-11 12:48:50 EST
*** Bug 886175 has been marked as a duplicate of this bug. ***
Comment 15 Fedora End Of Life 2013-04-03 16:23:58 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Note You need to log in before you can comment on or make changes to this bug.